local iIndex1=-1;
local iIndex2=-1;
local obj_pred=0
local first=true;
local fGardenerWin=false;

function mini_create ()
  show_help_wnd=true;
  init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ИГРЫ ПОЛИЦЕЙСКИЕ И САДОВНИК
--  1-й параметр - Код игры. Код для этой игры - 32.
--  2-й параметр - максимальная глубина дерева поиска в полуходах.
--  3-й параметр - X-координата верхнего левого угла доски.
--  4-й параметр - Y-координата верхнего левого угла доски.
--  5-й параметр - Ширина поля в пикселях.
--  6-й параметр - Высота поля в пикселях.
--  7-й параметр - Идентификатор дона Румато, стоЯщего на поле d8.
--                 P.S. Следующие четыре за ним идентификатора - идентификаторы
--                      четырёх донов Реба, стоЯщих, сооттветственно, на полях
--                      a1, c1, e1 и g1.
    create_mini(32,6,261,69,65,65,654);
--    create_mini(33,9,1004,1001,1,3,-1,1005,1002,0,2,4,-1,1003,1003,1,5,-1,1006,1004,0,4,6,-1,1001,1005,1,3,5,7,-1,1002,1006,2,4,8,-1,1007,1007,3,7,-1,1008,1008,4,6,8,-1,-1,-1,4,7,-1,42,144,138,366,148,144,244,366,253,144,350,366,359,144,455,366,464,144,561,366,570,144,666,366,676,144,772,366,781,144,877,366,887,144,983,366);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

  if sender==30 then
  BlockCursor(false);
  setcurentleaf("bob",23,0);
    flags.nohints=false;
  comend= false;
    if flags.minicomplete31 then
      playeffect("29");      
      StopEmiter("lededka");
      frame=0;
      add_free_leaf("comics1",23,51);
      set_satelite_leaf("bob");
      DoFile(23,51)
      ShowMenu(false);
    return; end;
  return; end;
    if sender==26 then
    if id==100 then
    set_visible_object(5001,true)
    end;
  return; end;
  if sender==35
    then
  if not flags.minicomplete31 then
      iIndex1,iIndex2=prsGetValidMoves();
--[[      t1=(8*math.floor(iIndex1/8)+math.mod(iIndex1,8))+1;
      t2=(8*math.floor(iIndex2/8)+math.mod(iIndex2,8))+1;--]]
    -- messagebox("t1="..t1.."t2="..t2)
    if iIndex1>= 0 and (not podsv1) then
    SetObjectPosition(648,FieldsX[iIndex1+1]+7,FieldsY[iIndex1+1])
    speciale_action(2,648);
    podsv1=true;
    end;
       if iIndex2>= 0 and (not podsv2) then
    SetObjectPosition(649,FieldsX[iIndex2+1]+7,FieldsY[iIndex2+1])
    speciale_action(2,649);
    podsv2=true;
    end;
  
      -- SetWindowText("id="..id.." ("..math.mod(iIndex1,8).."; "..math.floor(iIndex1/8)..") или ("..math.mod(iIndex2,8).."; "..math.floor(iIndex2/8)..")");
      return; end;
      return; end;
  if sender==39
    then
  if not flags.minicomplete31 then


    if iIndex1>= 0 and podsv1 then
    speciale_action(2,648);
    podsv1= false;
iIndex1=-1;
    end;
       if iIndex2>= 0 and podsv2 then
    speciale_action(2,649);
    podsv2= false;
iIndex2=-1;
    end;
    
      return; end;
      return; end;
  if sender==10 then
    flags.minicomplete31=true;
      StartTimer(2100,1)
      BlockCursor(true);
  return; end;

  if sender==37 then
     skipping=true;
  return;end;    
  
  if sender==36 and id==2100 then
  clear_satelite_leaf("bob");
  return;end;  
  if sender==100 then
    if not help then
      CreateWindow(200,200,"2",100,"messageinfo",27,30)
      --playeffect("01");  
      help=true;
    end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
    if sender==6 then
      if helpbtn then
       CreateWindow(200,200,"2",100,"messageinfo",27,30)
         playeffect("11");  
      helpbtn=false;
    end;
      if flags.object then
      speciale_action(2,651);  
      flags.object= false;
     end;
         if flags.najat then
         speciale_action(2,652);
    flags.najat =false;
      end;  

  return;end;
  if sender==1 then
    if id>=655 and id<=658 and not fGardenerWin then
      -- SetWindowText(tostring(first))
      objectid=id;
      mousepresed=true;
      setcolor(obj_pred,1,1,1,1);
      if id~=obj_pred or first then
        setcolor(id,0.8,0.8,0.8,0.8);
        flags.videlit= true;
        first=false
        obj_pred=id;
      return; end;
      first=true
    return;end;  
    if id==6000 then
      helpbtn=true;
    return;end
    if id==5000 and skipping then
      if not flags.minicomplete31 then
        -- mini_delete(true);
        finish_mini_game(true);
      return;end;  
    return;end;
    if id==650 then  
      playeffect("17");  
      mini_delete(false);
    return;end;
    if id==652 and not fGardenerWin then
      check_mini_game_Pursuit(-1);
      playeffect("chik");
      speciale_action(2,652);
      flags.najat =true;
      setcolor(obj_pred,1,1,1,1);
      first=true
    return; end;
  return; end;  
  if sender==8129
    then
    -- messagebox("otpustili");
      check_mini_game_Pursuit(objectid);
    playeffect("nogi");  
      mousepresed=false;
   
      objectid=0;
    
    end
  if sender==28 then
    if id==655 or id==656 or id==657 or id==658 then
       setcolor(id,1,1,1,1);
       first=true
    end;
    end;
end;
function mini_delete(fFlag)
  finish_mini_game(fFlag);
  clear_satelite_leaf("bob");
  DeleteResource("m31_close");
  DeleteResource("m31_fon");
  -- DeleteResource("m31_vvod");
  -- DeleteResource("m31_polic");
  -- DeleteResource("m31_walker");
  DeleteResource(  "wally");

end;
function GardenerWin(nCount)
  setcolor(obj_pred,1,1,1,1);
  fGardenerWin=true;
  StartTimer(33550336,0.8,"RestartGame");
  --check_mini_game_Pursuit(-1);
end;
function RestartGame()
  check_mini_game_Pursuit(-1);
  fGardenerWin=false;
end;
